=== modified file 'bzrlib/registry.py'
--- bzrlib/registry.py	2007-01-24 07:12:09 +0000
+++ bzrlib/registry.py	2007-01-25 00:35:22 +0000
@@ -200,14 +200,6 @@
         for key, getter in self._dict.iteritems():
             yield key, getter.get_obj()
 
-    def itervalues(self):
-        """Iterate all registry values in key order.
-
-        This imports any lazily registered entries.
-        """
-        for key in self.keys():
-            yield self.get(key)
-
     def _set_default_key(self, key):
         if not self._dict.has_key(key):
             raise KeyError('No object registered under key %s.' % key)

=== modified file 'bzrlib/tests/repository_implementations/__init__.py'
--- bzrlib/tests/repository_implementations/__init__.py	2007-01-24 11:20:17 +0000
+++ bzrlib/tests/repository_implementations/__init__.py	2007-01-25 00:35:22 +0000
@@ -49,8 +49,8 @@
         'bzrlib.tests.repository_implementations.test_repository',
         'bzrlib.tests.repository_implementations.test_revision',
         ]
-    all_formats = list(repository.format_registry.itervalues()) \
-        + _legacy_formats
+    all_formats = [v for (k, v) in repository.format_registry.iteritems()]
+    all_formats.extend(_legacy_formats)
     adapter = RepositoryTestProviderAdapter(
         default_transport,
         # None here will cause a readonly decorator to be created

